void event()
{
  if (!TClassTable::GetDict("Event")) {
    gSystem->Load("./libEvent.so");
  }
  
  TFile file("event.root", "recreate");
  TTree tree("T", "");
  Event *event = new Event();

  TBranch *branch = tree.Branch("event", "Event", &event);
  //  branch->SetAutoDelete(kFALSE);
  
  Int_t Nevents = 2;

  for (Int_t ev = 0; ev <Nevents; ev++) {
    event->SetN(ev);
    for (Int_t t = 0; t < 2; t++) {
      Layer *layer = event->GetLayer(t);
      layer->AddTrack(ev, t); // add just ONE track in each layer
    }
    cout << "-> fill the tree" << endl;
    tree.Fill();
    event->Print();
    event->Clear();
  }
  delete event;
  file.Write();
  tree.Print();

}

